Subject: Re: push.default and "git push"

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Nov 2022 10:28:48 +0900

Yuri Kanivetsky <[email-masked]> writes:

> (1) What does "remember" exactly mean?

Because your matching push updates only the branches that exist at
the receiving repository, you do not have to remember in your head
which branches you want to keep updating over there and write them
on your command line (i.e. "git push there this-branch" to update
"this-branch" in "there" repository).

You do not have to ask your configuration file to remember
(i.e. [remote "there"] push = refs/heads/this-branch), either.

Without having to make an active effort to "remember" on your side,
"git push there" would notice that they have this-branch (because
you pushed there the last time to create it) and you have updated
this-branch on your end, and update that branch.

That is what the verb "remember" refers to in that sentence.